var up=new $Data.getData('#sign',true)

$M.find('#up').listener
(
    'tap',
    async function()
    {
        let param=$Route.param(['rdurl'])
        if(!up.usable())return
        var data=up.get()
        let response=await $Ajax.post({url:'/http/user/index/login',param:data})
        if(response && response.code==0)
        {
            $Route.call('com@alert',{message:'登录成功，即将跳转'})
            $Sign.sign(response.param.openid,response.param)
            $M.dispatch('html','update',{type:'in'})
            setTimeout(function(){if(param.need.rdurl)$Route.push(param.need.rdurl,param.other)},100)
        }
        else
        {
            alert('登录失败')
        }
    }
)